        SUBROUTINE CORRD(KHANEL, NATOMS, KHARGE, TITLE, SYMBL, 
     +            X, Y, Z, IBONDS, IOERR )
       IMPLICIT REAL (A-H,O-Z)
      INCLUDE 'SIZES'
C                                                                       
C      ROUTINE TO READ A .COR FILE                                      
C                                                                       
       CHARACTER*80 TITLE                                               
       CHARACTER*40 FILNAM                                            
       CHARACTER*5  SYMBL(NUMATM)                                          
       DIMENSION X(NUMATM),Y(NUMATM),Z(NUMATM)                                   
       DIMENSION    IBONDS(NUMATM,10)                                      
C                                                                       
      READ(KHANEL,'(1X,A)')TITLE
      READ(KHANEL,'(1X,I3,25X,I2)',ERR=45)NATOMS,KHARGE 
      DO 18 I=1,NATOMS                                                  
           READ(KHANEL,13,ERR=45) SYMBL(I),INUMB,X(I),Y(I),                        
     1     Z(I),(IBONDS(I,K),K=1,10)                                    
13         FORMAT(1X,A,I5,3F12.6,10I5)                                  
C   TEST DATA                                                        
      IF (NUMELE(SYMBL(I)) .EQ. 0 ) THEN                               
          WRITE( *,15)SYMBL(I)                                         
15        FORMAT(5X,A,' = UNRECOGNIZED ATOM SYMBOL. BYE!!!')            
           IOERR=1
           RETURN
           END IF                                                       
18    CONTINUE                                                          
      RETURN                                                           
45    WRITE( *,'(''ERROR IN READING COR FILE'')')
      IOERR=1
      RETURN                                                           
      END                                                             
